# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    AssessedDisk,
    AssessedDiskData,
    AssessedMachine,
    AssessedMachineListResult,
    AssessedMachineProperties,
    AssessedNetworkAdapter,
    AssessedSqlDatabaseV2,
    AssessedSqlDatabaseV2ListResult,
    AssessedSqlDatabaseV2Properties,
    AssessedSqlInstanceDatabaseSummary,
    AssessedSqlInstanceDiskDetails,
    AssessedSqlInstanceStorageDetails,
    AssessedSqlInstanceSummary,
    AssessedSqlInstanceV2,
    AssessedSqlInstanceV2ListResult,
    AssessedSqlInstanceV2Properties,
    AssessedSqlMachine,
    AssessedSqlMachineListResult,
    AssessedSqlMachineProperties,
    AssessedSqlRecommendedEntity,
    AssessedSqlRecommendedEntityListResult,
    AssessedSqlRecommendedEntityProperties,
    Assessment,
    AssessmentListResult,
    AssessmentOptions,
    AssessmentOptionsListResult,
    AssessmentOptionsProperties,
    AssessmentProject,
    AssessmentProjectListResult,
    AssessmentProjectSummary,
    AssessmentProjectSummaryListResult,
    AssessmentProjectSummaryProperties,
    AssessmentProjectUpdate,
    AssessmentProjectUpdateProperties,
    AvsAssessedDisk,
    AvsAssessedMachine,
    AvsAssessedMachineListResult,
    AvsAssessedMachineProperties,
    AvsAssessedNetworkAdapter,
    AvsAssessment,
    AvsAssessmentListResult,
    AvsAssessmentOptions,
    AvsAssessmentOptionsListResult,
    AvsAssessmentOptionsProperties,
    AvsAssessmentProperties,
    AvsSkuOptions,
    AzureManagedDiskSkuDTO,
    AzureQuorumWitnessDTO,
    AzureResourceProperties,
    AzureSqlIaasSkuDTO,
    AzureSqlPaasSkuDTO,
    AzureVirtualMachineSkuDTO,
    CollectorAgentPropertiesBase,
    CollectorAgentSpnPropertiesBase,
    CollectorPropertiesBase,
    CollectorPropertiesBaseWithAgent,
    CostComponent,
    Disk,
    DownloadUrl,
    EntityUptime,
    Error,
    ErrorAdditionalInfo,
    ErrorDetail,
    ErrorResponse,
    ErrorSummary,
    Group,
    GroupBodyProperties,
    GroupListResult,
    GroupProperties,
    HypervCollector,
    HypervCollectorListResult,
    ImpactedAssessmentObject,
    ImportCollector,
    ImportCollectorListResult,
    Machine,
    MachineAssessmentProperties,
    MachineListResult,
    MachineProperties,
    MigrationGuidelineContext,
    NetworkAdapter,
    Operation,
    OperationDisplay,
    OperationListResult,
    PrivateEndpoint,
    PrivateEndpointConnection,
    PrivateEndpointConnectionListResult,
    PrivateEndpointConnectionProperties,
    PrivateLinkResource,
    PrivateLinkResourceListResult,
    PrivateLinkResourceProperties,
    PrivateLinkServiceConnectionState,
    ProcessorInfo,
    ProductSupportStatus,
    ProjectProperties,
    ProxyResource,
    Resource,
    ResourceId,
    ServerCollector,
    ServerCollectorListResult,
    SharedResourcesDTO,
    SqlAssessedNetworkAdapter,
    SqlAssessmentMigrationIssue,
    SqlAssessmentOptions,
    SqlAssessmentOptionsListResult,
    SqlAssessmentOptionsProperties,
    SqlAssessmentV2,
    SqlAssessmentV2IaasSuitabilityData,
    SqlAssessmentV2ListResult,
    SqlAssessmentV2PaasSuitabilityData,
    SqlAssessmentV2Properties,
    SqlAssessmentV2Summary,
    SqlAssessmentV2SummaryData,
    SqlAssessmentV2SummaryListResult,
    SqlAssessmentV2SummaryProperties,
    SqlAvailabilityGroupDataOverview,
    SqlAvailabilityReplicaSummary,
    SqlCollector,
    SqlCollectorListResult,
    SqlDbSettings,
    SqlFCIMetadata,
    SqlMiSettings,
    SqlMigrationGuideline,
    SqlPaaSTargetOptions,
    SqlRecommendationReasoning,
    SqlRecommendationReasoningContext,
    SqlVmSettings,
    SystemData,
    TrackedResource,
    UltraDiskAssessmentOptions,
    UpdateGroupBody,
    VmFamilyOptions,
    VmUptime,
    VmwareCollector,
    VmwareCollectorListResult,
    WorkloadSummary,
)

from ._migration_assessment_mgmt_client_enums import (  # type: ignore
    ActionType,
    ApiVersions,
    AssessedMachineType,
    AssessmentSizingCriterion,
    AssessmentStage,
    AssessmentStatus,
    AssessmentType,
    AsyncCommitModeIntent,
    AzureAvsNodeType,
    AzureAvsSuitabilityExplanation,
    AzureAvsVmSuitabilityDetail,
    AzureAvsVmSuitabilityExplanation,
    AzureCurrency,
    AzureDiskSize,
    AzureDiskSuitabilityDetail,
    AzureDiskSuitabilityExplanation,
    AzureDiskType,
    AzureHybridUseBenefit,
    AzureLocation,
    AzureManagedDiskSkuDTODiskRedundancy,
    AzureManagedDiskSkuDTODiskType,
    AzureNetworkAdapterSuitabilityDetail,
    AzureNetworkAdapterSuitabilityExplanation,
    AzureOfferCode,
    AzurePricingTier,
    AzureQuorumWitnessDTOQuorumWitnessType,
    AzureReservedInstance,
    AzureSecurityOfferingType,
    AzureSqlDataBaseType,
    AzureSqlInstanceType,
    AzureSqlPurchaseModel,
    AzureSqlServiceTier,
    AzureStorageRedundancy,
    AzureVmFamily,
    AzureVmSize,
    AzureVmSuitabilityDetail,
    AzureVmSuitabilityExplanation,
    CloudSuitability,
    CompatibilityLevel,
    ComputeTier,
    CostComponentName,
    CreatedByType,
    EnvironmentType,
    FttAndRaidLevel,
    GroupStatus,
    GroupType,
    GroupUpdateOperation,
    GuestOperatingSystemArchitecture,
    HardwareGeneration,
    MachineBootType,
    MultiSubnetIntent,
    OptimizationLogic,
    Origin,
    OsLicense,
    Percentile,
    PrivateEndpointConnectionProvisioningState,
    PrivateEndpointServiceConnectionStatus,
    ProjectStatus,
    ProvisioningState,
    RecommendedSuitability,
    SkuReplicationMode,
    SqlAssessmentMigrationIssueCategory,
    SqlFCIMetadataState,
    SqlFCIState,
    SqlMigrationGuidelineCategory,
    SqlServerLicense,
    TargetType,
    TimeRange,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AssessedDisk",
    "AssessedDiskData",
    "AssessedMachine",
    "AssessedMachineListResult",
    "AssessedMachineProperties",
    "AssessedNetworkAdapter",
    "AssessedSqlDatabaseV2",
    "AssessedSqlDatabaseV2ListResult",
    "AssessedSqlDatabaseV2Properties",
    "AssessedSqlInstanceDatabaseSummary",
    "AssessedSqlInstanceDiskDetails",
    "AssessedSqlInstanceStorageDetails",
    "AssessedSqlInstanceSummary",
    "AssessedSqlInstanceV2",
    "AssessedSqlInstanceV2ListResult",
    "AssessedSqlInstanceV2Properties",
    "AssessedSqlMachine",
    "AssessedSqlMachineListResult",
    "AssessedSqlMachineProperties",
    "AssessedSqlRecommendedEntity",
    "AssessedSqlRecommendedEntityListResult",
    "AssessedSqlRecommendedEntityProperties",
    "Assessment",
    "AssessmentListResult",
    "AssessmentOptions",
    "AssessmentOptionsListResult",
    "AssessmentOptionsProperties",
    "AssessmentProject",
    "AssessmentProjectListResult",
    "AssessmentProjectSummary",
    "AssessmentProjectSummaryListResult",
    "AssessmentProjectSummaryProperties",
    "AssessmentProjectUpdate",
    "AssessmentProjectUpdateProperties",
    "AvsAssessedDisk",
    "AvsAssessedMachine",
    "AvsAssessedMachineListResult",
    "AvsAssessedMachineProperties",
    "AvsAssessedNetworkAdapter",
    "AvsAssessment",
    "AvsAssessmentListResult",
    "AvsAssessmentOptions",
    "AvsAssessmentOptionsListResult",
    "AvsAssessmentOptionsProperties",
    "AvsAssessmentProperties",
    "AvsSkuOptions",
    "AzureManagedDiskSkuDTO",
    "AzureQuorumWitnessDTO",
    "AzureResourceProperties",
    "AzureSqlIaasSkuDTO",
    "AzureSqlPaasSkuDTO",
    "AzureVirtualMachineSkuDTO",
    "CollectorAgentPropertiesBase",
    "CollectorAgentSpnPropertiesBase",
    "CollectorPropertiesBase",
    "CollectorPropertiesBaseWithAgent",
    "CostComponent",
    "Disk",
    "DownloadUrl",
    "EntityUptime",
    "Error",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ErrorResponse",
    "ErrorSummary",
    "Group",
    "GroupBodyProperties",
    "GroupListResult",
    "GroupProperties",
    "HypervCollector",
    "HypervCollectorListResult",
    "ImpactedAssessmentObject",
    "ImportCollector",
    "ImportCollectorListResult",
    "Machine",
    "MachineAssessmentProperties",
    "MachineListResult",
    "MachineProperties",
    "MigrationGuidelineContext",
    "NetworkAdapter",
    "Operation",
    "OperationDisplay",
    "OperationListResult",
    "PrivateEndpoint",
    "PrivateEndpointConnection",
    "PrivateEndpointConnectionListResult",
    "PrivateEndpointConnectionProperties",
    "PrivateLinkResource",
    "PrivateLinkResourceListResult",
    "PrivateLinkResourceProperties",
    "PrivateLinkServiceConnectionState",
    "ProcessorInfo",
    "ProductSupportStatus",
    "ProjectProperties",
    "ProxyResource",
    "Resource",
    "ResourceId",
    "ServerCollector",
    "ServerCollectorListResult",
    "SharedResourcesDTO",
    "SqlAssessedNetworkAdapter",
    "SqlAssessmentMigrationIssue",
    "SqlAssessmentOptions",
    "SqlAssessmentOptionsListResult",
    "SqlAssessmentOptionsProperties",
    "SqlAssessmentV2",
    "SqlAssessmentV2IaasSuitabilityData",
    "SqlAssessmentV2ListResult",
    "SqlAssessmentV2PaasSuitabilityData",
    "SqlAssessmentV2Properties",
    "SqlAssessmentV2Summary",
    "SqlAssessmentV2SummaryData",
    "SqlAssessmentV2SummaryListResult",
    "SqlAssessmentV2SummaryProperties",
    "SqlAvailabilityGroupDataOverview",
    "SqlAvailabilityReplicaSummary",
    "SqlCollector",
    "SqlCollectorListResult",
    "SqlDbSettings",
    "SqlFCIMetadata",
    "SqlMiSettings",
    "SqlMigrationGuideline",
    "SqlPaaSTargetOptions",
    "SqlRecommendationReasoning",
    "SqlRecommendationReasoningContext",
    "SqlVmSettings",
    "SystemData",
    "TrackedResource",
    "UltraDiskAssessmentOptions",
    "UpdateGroupBody",
    "VmFamilyOptions",
    "VmUptime",
    "VmwareCollector",
    "VmwareCollectorListResult",
    "WorkloadSummary",
    "ActionType",
    "ApiVersions",
    "AssessedMachineType",
    "AssessmentSizingCriterion",
    "AssessmentStage",
    "AssessmentStatus",
    "AssessmentType",
    "AsyncCommitModeIntent",
    "AzureAvsNodeType",
    "AzureAvsSuitabilityExplanation",
    "AzureAvsVmSuitabilityDetail",
    "AzureAvsVmSuitabilityExplanation",
    "AzureCurrency",
    "AzureDiskSize",
    "AzureDiskSuitabilityDetail",
    "AzureDiskSuitabilityExplanation",
    "AzureDiskType",
    "AzureHybridUseBenefit",
    "AzureLocation",
    "AzureManagedDiskSkuDTODiskRedundancy",
    "AzureManagedDiskSkuDTODiskType",
    "AzureNetworkAdapterSuitabilityDetail",
    "AzureNetworkAdapterSuitabilityExplanation",
    "AzureOfferCode",
    "AzurePricingTier",
    "AzureQuorumWitnessDTOQuorumWitnessType",
    "AzureReservedInstance",
    "AzureSecurityOfferingType",
    "AzureSqlDataBaseType",
    "AzureSqlInstanceType",
    "AzureSqlPurchaseModel",
    "AzureSqlServiceTier",
    "AzureStorageRedundancy",
    "AzureVmFamily",
    "AzureVmSize",
    "AzureVmSuitabilityDetail",
    "AzureVmSuitabilityExplanation",
    "CloudSuitability",
    "CompatibilityLevel",
    "ComputeTier",
    "CostComponentName",
    "CreatedByType",
    "EnvironmentType",
    "FttAndRaidLevel",
    "GroupStatus",
    "GroupType",
    "GroupUpdateOperation",
    "GuestOperatingSystemArchitecture",
    "HardwareGeneration",
    "MachineBootType",
    "MultiSubnetIntent",
    "OptimizationLogic",
    "Origin",
    "OsLicense",
    "Percentile",
    "PrivateEndpointConnectionProvisioningState",
    "PrivateEndpointServiceConnectionStatus",
    "ProjectStatus",
    "ProvisioningState",
    "RecommendedSuitability",
    "SkuReplicationMode",
    "SqlAssessmentMigrationIssueCategory",
    "SqlFCIMetadataState",
    "SqlFCIState",
    "SqlMigrationGuidelineCategory",
    "SqlServerLicense",
    "TargetType",
    "TimeRange",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
